---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libma04t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3220, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52AE0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54A20, symBinAddr: 0xE120, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54E10, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55DB0, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55DC0, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52750, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52754, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52758, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x528B0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52968, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5296C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52970, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52974, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52978, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52980, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x52990, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52998, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x529A0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x529A8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x529B0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x529B8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52A00, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL12testedObject, symObjAddr: 0x52A40, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x953D, offset: 0x953D, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1C50, symSize: 0x80 }
  - { offsetInCU: 0x95D2, offset: 0x95D2, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1BA0, symSize: 0xB0 }
  - { offsetInCU: 0x962D, offset: 0x962D, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1AA0, symSize: 0x100 }
  - { offsetInCU: 0x98C0, offset: 0x98C0, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1CD0, symSize: 0xC0 }
  - { offsetInCU: 0x9912, offset: 0x9912, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1D90, symSize: 0x220 }
  - { offsetInCU: 0x9AF7, offset: 0x9AF7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1FB0, symSize: 0xA0 }
  - { offsetInCU: 0x9BAA, offset: 0x9BAA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2050, symSize: 0x110 }
  - { offsetInCU: 0x9CA0, offset: 0x9CA0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2160, symSize: 0x150 }
  - { offsetInCU: 0x9DC7, offset: 0x9DC7, size: 0x8, addend: 0x0, symName: __Z15jlong_to_stringlPc, symObjAddr: 0xE30, symBinAddr: 0x22B0, symSize: 0x270 }
  - { offsetInCU: 0x9E3D, offset: 0x9E3D, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2520, symSize: 0x30 }
  - { offsetInCU: 0x9F1E, offset: 0x9F1E, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2550, symSize: 0x150 }
  - { offsetInCU: 0xA116, offset: 0xA116, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x26A0, symSize: 0x160 }
  - { offsetInCU: 0xA3D6, offset: 0xA3D6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2800, symSize: 0x4A0 }
  - { offsetInCU: 0xA649, offset: 0xA649, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2CA0, symSize: 0x1B0 }
  - { offsetInCU: 0xA864, offset: 0xA864, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2E50, symSize: 0xA0 }
  - { offsetInCU: 0xA933, offset: 0xA933, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2EF0, symSize: 0x20 }
  - { offsetInCU: 0xA96A, offset: 0xA96A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2F10, symSize: 0x20 }
  - { offsetInCU: 0xA9A1, offset: 0xA9A1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2F30, symSize: 0x20 }
  - { offsetInCU: 0xAB74, offset: 0xAB74, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2F50, symSize: 0x1A0 }
  - { offsetInCU: 0xAE90, offset: 0xAE90, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x30F0, symSize: 0x130 }
  - { offsetInCU: 0xB040, offset: 0xB040, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3490, symSize: 0x1B0 }
  - { offsetInCU: 0xB32F, offset: 0xB32F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3640, symSize: 0x80 }
  - { offsetInCU: 0xB3F8, offset: 0xB3F8, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x36C0, symSize: 0x6A0 }
  - { offsetInCU: 0xBF8D, offset: 0xBF8D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB0C0, symBinAddr: 0x5E10, symSize: 0xB0 }
  - { offsetInCU: 0xC004, offset: 0xC004, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3D60, symSize: 0x70 }
  - { offsetInCU: 0xC0F8, offset: 0xC0F8, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3DD0, symSize: 0xA0 }
  - { offsetInCU: 0xC203, offset: 0xC203, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x52A0, symBinAddr: 0x3E70, symSize: 0x1F0 }
  - { offsetInCU: 0xC450, offset: 0xC450, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x5490, symBinAddr: 0x4060, symSize: 0x310 }
  - { offsetInCU: 0xC8EC, offset: 0xC8EC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4370, symSize: 0x40 }
  - { offsetInCU: 0xC9E2, offset: 0xC9E2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x43B0, symSize: 0x2B0 }
  - { offsetInCU: 0xCD88, offset: 0xCD88, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4660, symSize: 0xC0 }
  - { offsetInCU: 0xCECE, offset: 0xCECE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4720, symSize: 0x10 }
  - { offsetInCU: 0xCF90, offset: 0xCF90, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4730, symSize: 0x220 }
  - { offsetInCU: 0xD28D, offset: 0xD28D, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4950, symSize: 0x10 }
  - { offsetInCU: 0xD2EA, offset: 0xD2EA, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4960, symSize: 0x270 }
  - { offsetInCU: 0xD5DC, offset: 0xD5DC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E80, symBinAddr: 0x4BD0, symSize: 0x10 }
  - { offsetInCU: 0xD745, offset: 0xD745, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9E90, symBinAddr: 0x4BE0, symSize: 0x1230 }
  - { offsetInCU: 0xE6B1, offset: 0xE6B1, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB170, symBinAddr: 0x5EC0, symSize: 0x36A }
...
